# GoogleChartSolidFill Class Reference

Inheritance diagram for GoogleChartSolidFill:
[legend]

List of all members.

## Public Member Functions

| __construct (GoogleChartSolidFillType $type)
| setColor (Color $color)
| getColor ()
| toString ()

## Static Public Member Functions

static | create (GoogleChartSolidFillType $type)
static | getParamName ()

## Static Protected Attributes

static | $paramName = 'chf'

## Private Attributes

| $type = null
| $color = null

## Detailed Description

Definition at line 15 of file GoogleChartSolidFill.class.php.

## Constructor & Destructor Documentation

GoogleChartSolidFill::__construct | ( | GoogleChartSolidFillType $ | type | ) |

Definition at line 30 of file GoogleChartSolidFill.class.php.

## Member Function Documentation

static GoogleChartSolidFill::create | ( | GoogleChartSolidFillType $ | type | ) | `[static]`

Returns:
  GoogleChartSolidFill

Definition at line 25 of file GoogleChartSolidFill.class.php.

GoogleChartSolidFill::getColor | ( |  | ) |

Returns:
  Color

Definition at line 48 of file GoogleChartSolidFill.class.php.

static GoogleChartSolidFill::getParamName | ( |  | ) | `[static]`

Definition at line 64 of file GoogleChartSolidFill.class.php.

Referenced by GoogleChartSolidFillCollection::toString().

GoogleChartSolidFill::setColor | ( | Color $ | color | ) |

Returns:
  GoogleChartSolidFill

Definition at line 38 of file GoogleChartSolidFill.class.php.

GoogleChartSolidFill::toString | ( |  | ) |

Implements Stringable.

Definition at line 53 of file GoogleChartSolidFill.class.php.

References Assert::isNotNull().

Here is the call graph for this function:

## Member Data Documentation

GoogleChartSolidFill::$color = null`[private]`

Definition at line 20 of file GoogleChartSolidFill.class.php.

GoogleChartSolidFill::$paramName = 'chf'`[static, protected]`

Definition at line 17 of file GoogleChartSolidFill.class.php.

GoogleChartSolidFill::$type = null`[private]`

Definition at line 19 of file GoogleChartSolidFill.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartSolidFill.class.php